Bug 5990 - Lists and Cart show LOC code, not Location Authorized value
Summary: Lists and Cart show LOC code, not Location Authorized value
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-29 18:14 UTC by Ian Walls
Modified: 2011-04-27 04:45 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-03-29 18:14:28 UTC
Lists and Cart (and probably other places as well) depend on the massive GetItemsInfo() subroutine to get their location information (branch, shelving location and call number).  This subroutine returns the LOC code, rather than the Description for that code configured in Authorised Values.  Some codes may be unfriendly to human readers, creating confusion amongst patrons.
Comment 1 Chris Cormack 2011-03-31 23:08:45 UTC
Pushed, please test
Comment 2 MJ Ray (software.coop) 2011-04-03 23:19:46 UTC
This bug is mentioned in:
Bug 5990: Lists and Cart show LOC code not	Location Authorized value http://lists.koha-community.org/pipermail/koha-patches/2011-March/014364.html
Comment 3 Chris Cormack 2011-04-27 04:45:22 UTC
This was included in the 3.4.0 release, marking closed